#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for reading/writing GNUstep-style defaults databases
Summary(pl.UTF-8):	Biblioteka do odczytu i zapisu bazy danych ustawień w stylu GNUstepa
Summary(ru.UTF-8):	Библиотека для чтения/записи баз умолчаний в стиле GNUstep
Summary(uk.UTF-8):	Бібліотека для читання/запису баз умовчань в стилі GNUstep
Name:		libPropList
Version:	0.10.1
Release:	15
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.windowmaker.org/pub/libs/%{name}-%{version}.tar.gz
# Source0-md5:	ff32a4edbf9d0861012b2f10fd302ad5
Patch0:		format-security.patch
URL:		http://www.windowmaker.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libPropList library, hereafter referred to as PL, uses an opaque
data type to represent a tree structure made of strings, data blocks,
arrays and dictionaries (key-value pair lists). This structure can be
manipulated, written out to and read in from a file, and synchronized
with the contents of a file. The purpose of PL is to closely mimick
the behaviour of the property lists used in GNUstep/OPENSTEP (there
formed with the NSString, NSData, NSArray and NSDictionary classes)
and to be compatible with it. PL enables programs that use
configuration or preference files to make these compatible with
GNUstep/OPENSTEP's user defaults handling mechanism, without needing
to use Objective-C or GNUstep/OPENSTEP themselves.

%description -l es.UTF-8
Biblioteca para acceder a base de datos GNUstep-style.

%description -l pl.UTF-8
Biblioteka libPropList, określana tu jako PL, używa ukrytego typu
danych do reprezentacji struktury drzewiastej stworzonej z łańcuchów,
bloków danych, tablic i słowników (list par klucz-wartość). Struktura
ta może być modyfikowana, zapisywana i wczytywana z pliku oraz
synchronizowana z zawartością pliku. Celem PL jest bliskie naśladowanie 
zachowania list własności używanych w GNUstepie i OPENSTEPie 
(uformowanych w klasy NSString, NSData, NSArray i NSDictionary) 
i kompatybilność z nimi. PL umożliwia programom używającym plików 
z konfiguracją lub ustawieniami być kompatybinymi z mechanizmem obsługi 
ustawień GNUstepa/OPENSTEPa, bez potrzeby używania języka Objective-C 
ani samego GNUstepa/OPENSTEPa.

%description -l pt_BR.UTF-8
Biblioteca para acessar base de dados GNUstep-style.

%description -l ru.UTF-8
Библиотека libPropList, далее PL, использует непрозрачные типы данных
для представления древовидной структуры строк символов, блоков данных,
массивов и словарей (списков пар ключ-значение). Этой структурой можно
манипулировать, записывать в файл и считывать из файла,
синхронизировать с содержанием файла. Цель PL - повторить поведение
списков свойств из GNUstep/OPENSTEP и быть совместимой с ними. PL
позволяет программам, использующим файлы конфигурации или персональных
настроек, делать это совместимо с механизмом обработки умолчаний
пользователей GNUstep/OPENSTEP без необходимости использовать
Objective-C или GNUstep/OPENSTEP.

%description -l uk.UTF-8
Бібліотека libPropList, надалі PL, використовує непрозорі типи даних
для представлення деревовидної структури ланцюжків символів, блоків
даних, масивів та словників (списків пар ключ-значення). Цією
структурою можна маніпулювати, записувати в файл та зчитувати з файлу
та синхронізувати з вмістом файлу. Мета PL - повторити поведінку
списків властивостей з GNUstep/OPENSTEP та бути сумісною з ними. PL
дозволяє програмам, що використовують файли конфігурації чи
персональних налаштувань, робити це сумісно з механізмом обробки
умовчань користувачів GNUstep/OPENSTEP без необхідності
використовувати Objective-C чи GNUstep/OPENSTEP.

%package devel
Summary:	Header files for libPropList library
Summary(es.UTF-8):	Archivos de inclusión para libPropList
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libPropList
Summary(pt_BR.UTF-8):	Arquivos de inclusão para o libPropList
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to
develop applications which will use libPropList.

%description devel -l es.UTF-8
Este paquete contiene los archivos de inclusión que se necesitan
para desarrollar programas que usan libPropList.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe niezbędne do tworzenia aplikacji
korzystających z biblioteki libPropList.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão que são necessários para
desenvolver programas que usam o libPropList.

%description devel -l ru.UTF-8
Этот пакет содержит .h файлы для разработки программ, использующих
libPropList.

%description devel -l uk.UTF-8
Цей пакет містить .h файли для розробки програм, які використовують
libPropList.

%package static
Summary:	Static libPropList library
Summary(es.UTF-8):	Biblioteca estática para libPropList
Summary(pl.UTF-8):	Biblioteka statyczna libPropList
Summary(pt_BR.UTF-8):	Biblioteca estática para o libPropList
Summary(ru.UTF-8):	Статические библиотеки для libPropLis
Summary(uk.UTF-8):	Статичні бібліотеки для libPropLis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libPropList library.

%description static -l es.UTF-8
Biblioteca estática para libPropList.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki libPropList.

%description static -l pt_BR.UTF-8
Biblioteca estática para o libPropList.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки libPropList.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки libPropList.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libPropList.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libPropList.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libPropList.so
%{_libdir}/libPropList.la
%{_includedir}/proplist.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libPropList.a
%endif
%changelog
* Sat Jan 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libPropList.git;a=log;h=master

* Sat Jan 18 2014 Jakub Bogusz <qboosh@pld-linux.org> a3f1bb5
- updated format-security patch to avoid overflows through environment variables
- verbose lib, include files

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1591259
- added format-security.patch
- ghost soname symlink
- rel 15

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 345dde5
- compilation fix
- note that a buffer overflow is still possible

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> bcdbd78
- dropped pre-cvs changelog

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9206e3f
- release 14

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 5f1c406
- added missing #

* Sun Jul 22 2007 witekfl <witekfl@pld-linux.org> bc6b8b1
- added bcond_without static_libs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d991024
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d509dac
- converted to UTF-8

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 26a3ba9
- strict internal deps

* Wed Aug 23 2006 havner <havner@pld-linux.org> a950869
- rel 13 for TH

* Wed Sep 01 2004 snurf <snurf@pld-linux.org> ad24d44
- typos / formatting / etc.

* Mon Dec 01 2003 undefine <undefine@pld-linux.org> f2df674
- release 12 to rebuild with ac

* Tue Oct 28 2003 Jakub Bogusz <qboosh@pld-linux.org> 23610d7
- removed bogus descriptions, fixed/tried to fix some others

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> 1fe77b8
- cosmetics

* Thu Jul 03 2003 Jakub Bogusz <qboosh@pld-linux.org> fbb5e22
- removed default _prefix definition, other cleanups

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 961d427
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a3e1611
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> aeef25f
- massive attack: no need for 755 for *.la

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 504e76e
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

